Lavalite package that provides tag management facility for the cms.

## Installation

Begin by installing this package through Composer. Edit your project's `composer.json` file to require `larayellow/tag`.

    "larayellow/tag": "dev-master"

Next, update Composer from the Terminal:

    composer update

Once this operation completes execute below cammnds in command line to finalize installation.

    Larayellow\Tag\Providers\TagServiceProvider::class,

And also add it to alias

    'Tag'  => Larayellow\Tag\Facades\Tag::class,

## Publishing files and migraiting database.

**Migration and seeds**

    php artisan migrate
    php artisan db:seed --class=Larayellow\\Tag\\Seeds\\TagTableSeeder

**Publishing configuration**

    php artisan vendor:publish --provider="Larayellow\Tag\Providers\TagServiceProvider" --tag="config"

**Publishing language**

    php artisan vendor:publish --provider="Larayellow\Tag\Providers\TagServiceProvider" --tag="lang"

**Publishing views**

    php artisan vendor:publish --provider="Larayellow\Tag\Providers\TagServiceProvider" --tag="view"


### Web Urls

**Admin**

    http://path-to-route-folder/admin/tag/{modulename}

**User**

    http://path-to-route-folder/user/tag/{modulename}

**Public**

    http://path-to-route-folder/tags


### API endpoints

**List**

    http://path-to-route-folder/api/user/tag/{modulename}
    METHOD: GET

**Create**

    http://path-to-route-folder/api/user/tag/{modulename}
    METHOD: POST

**Edit**

    http://path-to-route-folder/api/user/tag/{modulename}/{id}
    METHOD: PUT

**Delete**

    http://path-to-route-folder/api/user/tag/{modulename}/{id}
    METHOD: DELETE

**Public List**

    http://path-to-route-folder/api/tag/{modulename}
    METHOD: GET

**Public Single**

    http://path-to-route-folder/api/tag/{modulename}/{slug}
    METHOD: GET