<?php

namespace Larayellow\Tag\Repositories\Eloquent;

use Larayellow\Tag\Interfaces\TagRepositoryInterface;
use Litepie\Repository\BaseRepository;
use Larayellow\Tag\Repositories\Eloquent\Presenters\TagItemPresenter;


class TagRepository extends BaseRepository implements TagRepositoryInterface
{

    public function boot()
    {
        $this->fieldSearchable = config('larayellow.tag.tag.model.search');
    }

    /**
     * Specify Model class name.
     *
     * @return string
     */
    public function model()
    {
        return config('larayellow.tag.tag.model.model');
    }

    /**
     * Returns the default presenter if none is availabale.
     *
     * @return void
     */
    public function presenter()
    {
        return TagItemPresenter::class;
    }
}
